mipicsiss: xmipi_menu.h File Reference

| mipicsiss Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

Data Structures | Macros | Enumerations | Functions
xmipi_menu.h File Reference

## Overview

This is the main header file for the Xilinx Menu implementation as used in the MIPI example design.

    MODIFICATION HISTORY:

    Ver   Who    Date     Changes

    1.00  pg    12/07/17 Initial release.

## Data Structures
struct | XMipi_MenuConfig
| The MIPI menu configuration. More...
struct | XMipi_Menu
| The MIPI menu instance data. More...

## Macros
#define | XMIPI_MENU_H_
| Prevent circular inclusions by using protection macros. More...

## Enumerations
enum | XMipi_MenuType
| The MIPI menu types. More...

## Functions
void | XMipi_MenuInitialize (XMipi_Menu *InstancePtr, u32 UartBaseAddress)
| This function takes care of the MIPI menu initialization. More...
void | XMipi_MenuProcess (XMipi_Menu *InstancePtr)
| This function is called to trigger the MIPI menu state machine. More...
void | XMipi_MenuReset (XMipi_Menu *InstancePtr)
| This function resets the menu to the main menu. More...
void | InitImageProcessingPipe (void)
| This function Initializes Image Processing blocks wrt to selected resolution. More...
void | DisableImageProcessingPipe (void)
| This function disables Demosaic, GammaLut and VProcSS IPs. More...
void | CamReset (void)
| This function resets IMX274 camera sensor. More...
void | Reset_IP_Pipe (void)
| This function resets image processing pipe. More...

## Macro Definition Documentation

#define XMIPI_MENU_H_

Prevent circular inclusions by using protection macros.

## Enumeration Type Documentation

enum XMipi_MenuType

The MIPI menu types.

## Function Documentation

void CamReset | ( | void |  | ) |

This function resets IMX274 camera sensor.

Returns
  None.

Note
  None.

void DisableImageProcessingPipe | ( | void |  | ) |

This function disables Demosaic, GammaLut and VProcSS IPs.

Returns
  None.

Note
  None.

void InitImageProcessingPipe | ( | void |  | ) |

This function Initializes Image Processing blocks wrt to selected resolution.

Returns
  None.

Note
  None.

References ConfigCSC(), ConfigDemosaic(), and ConfigGammaLut().

Referenced by main().

void Reset_IP_Pipe | ( | void |  | ) |

This function resets image processing pipe.

Returns
  None.

Note
  None.

Referenced by main().

void XMipi_MenuInitialize | ( | XMipi_Menu * | InstancePtr,
|  | u32 | UartBaseAddress
| ) |  |

This function takes care of the MIPI menu initialization.

Parameters

  InstancePtr | is a pointer to the XMipi_Menu instance.
  UartBaseAddress | points to the base address of PS uart.

Returns
  None

Note
  None

Referenced by main().

void XMipi_MenuProcess | ( | XMipi_Menu * | InstancePtr | ) |

This function is called to trigger the MIPI menu state machine.

Parameters

  InstancePtr | is a pointer to the XMipi_Menu instance.

Returns
  None

Note
  None

Referenced by main().

void XMipi_MenuReset | ( | XMipi_Menu * | InstancePtr | ) |

This function resets the menu to the main menu.

Parameters

  InstancePtr | is a pointer to the XMipi_Menu instance.

Returns
  None

Note
  None